# $Revision: 1.10 $, $Date: 2005/12/31 10:36:33 $
Summary:	Extended Attributes module for Ruby
Summary(pl):	Modu Extended Attributes dla Ruby
Name:		ruby-xattr
Version:	0.3.0
Release:	2
License:	Ruby License
Group:		Development/Languages
Source0:	http://www.theinternetco.net/projects/ruby/%{name}-%{version}.tar.gz
# Source0-md5:	a47d8f164d6c9d88f54f853d2bd7d50a
URL:		http://www.theinternetco.net/projects/ruby/ruby-xattr
BuildRequires:	attr-devel
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ruby-xattr is an extension to access the XFS-compatible extended
attribute system calls.

%description -l pl
ruby-xattr to rozszerzenie pozwalajce na dostp do wywoa
systemowych zwizanych z rozszerzonymi atrybutami kompatybilnymi z
systemem plikw XFS.

%prep
%setup -q

%build
ruby extconf.rb
%{__make}
rdoc --op rdoc ext
rdoc --ri --op ri ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_archdir},%{ruby_ridir}}

%{__make} install \
	archdir=$RPM_BUILD_ROOT%{ruby_archdir} \
	sitearchdir=$RPM_BUILD_ROOT%{ruby_archdir}

cp -a ri/ri/* $RPM_BUILD_ROOT%{ruby_ridir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc rdoc
%{ruby_archdir}/*
%{ruby_ridir}/File/get*
%{ruby_ridir}/File/list*
%{ruby_ridir}/File/remove*
%{ruby_ridir}/File/set*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-xattr.spec,v $
Revision 1.10  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.9  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.8  2005/12/27 10:07:59  twittner
- remove redundant BR: ruby-modules (BR: ruby-devel implies it)

Revision 1.7  2005/12/27 09:45:13  twittner
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

Revision 1.6  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.5  2004/08/21 00:30:05  qboosh
- pl desc

Revision 1.4  2004/08/20 05:02:51  aredridel
- remove ri docs that conflict with ruby core.

Revision 1.3  2004/08/19 04:48:30  aredridel
- ruby owns File ridir.

Revision 1.2  2004/08/19 04:28:35  aredridel
- new description
- remove old pl

Revision 1.1  2004/08/19 04:26:22  aredridel
- added
